aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lua-zlib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-07 16:43:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-07 16:43:19 +0000
commitacf89a5caba2640697d5b93154d4e8db12605bc4 (patch)
treed7d6aa920fb50208dee27b652660b70a4d975f86 /testing/lua-zlib/APKBUILD
parent04ba8f9857674856749a675aa5ad2a1b6f47923c (diff)
downloadaports-acf89a5caba2640697d5b93154d4e8db12605bc4.tar.gz
aports-acf89a5caba2640697d5b93154d4e8db12605bc4.tar.bz2
aports-acf89a5caba2640697d5b93154d4e8db12605bc4.tar.xz
testing/lua-zlib: new aport
Lua bindings to the ZLib compression library http://luaforge.net/projects/lzlib/
Diffstat (limited to 'testing/lua-zlib/APKBUILD')
-rw-r--r--testing/lua-zlib/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/lua-zlib/APKBUILD b/testing/lua-zlib/APKBUILD
new file mode 100644
index 0000000000..6f319b4864
--- /dev/null
+++ b/testing/lua-zlib/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor:
+# Maintainer:
+pkgname=lua-zlib
+_name=lzlib
+pkgver=0.4
+_ver=$pkgver-work2
+pkgrel=0
+pkgdesc="Lua bindings to the ZLib compression library"
+url="http://luaforge.net/projects/lzlib/"
+license="MIT"
+depends="lua"
+makedepends="lua-dev zlib-dev"
+install=
+subpackages=
+source="http://luaforge.net/frs/download.php/3826/lzlib-$_ver.tar.gz"
+
+_builddir="$srcdir"/$_name-$_ver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 zlib.so "$pkgdir"/usr/lib/lua/5.1/zlib.so
+ install -Dm644 gzip.lua "$pkgdir"/usr/share/lua/5.1/gzip.lua
+}
+
+md5sums="9d29ec26d3ccbd86ea4d95dcc602911a lzlib-0.4-work2.tar.gz"